<?php
$us = mysql_fetch_array(mysql_query("SELECT *,(select `id` from `online` WHERE login_time >= ".(time()-60)." AND `id` = users.`id`) as `online`  FROM `users` WHERE `login` = '".mysql_real_escape_string($_POST['target'])."' LIMIT 1;"));
$magic = mysql_fetch_array(mysql_query("SELECT `chanse` FROM `magic` WHERE `id` = '55' ;"));  
$effect = mysql_fetch_array(mysql_query("SELECT `time` FROM `effects` WHERE `owner` = '{$us['id']}' and `type` = '201' LIMIT 1;")); 
 if($user['invis'] == 1) { $user['login'] = '<b><i>невидимка</i></b>'; }
if ($user['intel'] >= 15) {
    $int=$magic['chanse'] + ($user['intel'] - 15)*3;
    if ($int>98){$int=99;}
  }
else {$int=0;}

if ($user['battle'] > 0) {echo "Не в бою...";}
elseif ($user['level'] < 4) { echo "Вашего уровня не достаточно для использования этого заклинания!"; }
elseif ($us['level'] < 4) { echo "Запрещено применять на персонажей до 4 уровня!"; }
elseif ($effect['time']) {echo "На персонаже уже есть заклятие Защита от Оружия"; }
elseif ($user->getRoom() != $us['room']) { echo "Персонаж в другой комнате!"; }
elseif (!$us['online']) {echo "Персонаж не в игре!";}
elseif (rand(1,100) < $int) {    

      addch("<img src=i/magic/defence.gif>Персонаж &quot;{$user['login']}&quot; наложил заклятие \"Защита от оружия\" на &quot;{$_POST['target']}&quot;, сроком 2 часа.");
    
      $us = mysql_fetch_array(mysql_query("SELECT `id` FROM `users` WHERE `login` = '{$_POST['target']}' LIMIT 1;")); 
      mysql_query("INSERT INTO `effects` (`owner`,`name`,`time`,`type`) values ('".(int)$us['id']."','Защита от оружия',".(time()+7200).",201);");    
      echo "<font color=red><b>На персонажа \"{$_POST['target']}\" наложено заклятие \"Защита от оружия\" </b></font>";      
      $bet=1;
      $outok=1;
      

} else {
        echo "Свиток рассыпался в ваших руках...";
        $bet=1;
      }  

